package com.wechat.model.dto;

import java.util.Date;

import javax.validation.constraints.NotNull;

public class IntvTimeDto {

	private Integer intvTimeId;

    private Integer intvId;

    private Date intvTimeFrom;

    private Date intvTimeTo;

    private String confirmedBy;

    private String status;

    private String content;

    private int sort;
    
    public Integer getIntvTimeId() {
        return intvTimeId;
    }

    public void setIntvTimeId(Integer intvTimeId) {
        this.intvTimeId = intvTimeId;
    }

    public Integer getIntvId() {
        return intvId;
    }

    public void setIntvId(Integer intvId) {
        this.intvId = intvId;
    }

    @NotNull(message="开始面试时间不能为空|Params can not be empty.")
    public Date getIntvTimeFrom() {
        return intvTimeFrom;
    }

    public void setIntvTimeFrom(Date intvTimeFrom) {
        this.intvTimeFrom = intvTimeFrom;
    }

    @NotNull(message="结束面试时间不能为空|Params can not be empty.")
    public Date getIntvTimeTo() {
        return intvTimeTo;
    }

    public void setIntvTimeTo(Date intvTimeTo) {
        this.intvTimeTo = intvTimeTo;
    }

    public String getConfirmedBy() {
        return confirmedBy;
    }

    public void setConfirmedBy(String confirmedBy) {
        this.confirmedBy = confirmedBy == null ? null : confirmedBy.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public int getSort() {
		return sort;
	}

	public void setSort(int sort) {
		this.sort = sort;
	}

}